/*********************************************************************
*                                                                    *
*                      Software License Agreement                    *
*                                                                    *
*   The software supplied herewith by Microchip Technology           *
*   Incorporated (the "Company") for its dsPIC controller            *
*   is intended and supplied to you, the Company's customer,         *
*   for use solely and exclusively on Microchip dsPIC                *
*   products.                                                        *
*                                                                    *
*   THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION.  NO           *
*   WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING,    *
*   BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND    *
*   FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE     *
*   COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL,  *
*   INCIDENTAL OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.  *
*                                                                    *
*********************************************************************/

#include "sound.h"

/*
** Pre-recorded tracks
**
** 8 bit samples at 8000 Hz
**
** Choose from:
**   cat.data
**   cricket.data
**   crow.data
**   duck.data
**   hen.data
**   junglebird.data
**   lamb.data
**   monkey.data
**   pig.data
**
** This file must be compiled with
** the constants-in-code memory model;
** otherwise the tracks would consume
** too much RAM.
*/

const storage_bufferT track1 = {
#include "junglebird.data"
};

const storage_bufferT track2 = {
#include "lamb.data"
};

const storage_bufferT track3 = {
#include "cricket.data"
};
